Bug 1840080 - Can not control top bar menus via keys in Wayland
Summary: Can not control top bar menus via keys in Wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-shell
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.2
Assignee: Florian Müllner
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-26 10:35 UTC by Bohdan Milar
Modified: 2020-11-04 01:36 UTC (History)
6 users (show)

Fixed In Version: gnome-shell-3.32.2-20.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:35:45 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
List of packages - RHEL 8.2 GA - not reproduced (45.84 KB, text/plain)
2020-06-18 10:18 UTC, Bohdan Milar
no flags Details
List of packages - RHEL 8.3 (20200609.1) - reproduced (46.36 KB, text/plain)
2020-06-18 10:24 UTC, Bohdan Milar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:36:01 UTC

Description Bohdan Milar 2020-05-26 10:35:41 UTC
Description of problem:
When controlling top bar via keyboard, menus (system menu, calendr, Applications menu, Places menu, ...) can not be opened and accessed. E.g. if you have Applications menu extension activated, when you press F1, the menu is opened, but you can not navigate in it using arrow keys.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xwayland-1.20.6-3.el8.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Login to Gnome on Wayland.
2. Press Ctrl + Alt + Tab to switch to Top Bar.
3. Use Right Arrow key (or Tab) to move cursor to the system menu (network, volume, battery, ...)
4. Press Enter.

Actual results:
Nothing happens - system menu stays highlighted but is not opened.

Expected results:
System menu should open and you should be able to enter it using Down Arrow key.

Additional info:
- This also affects desktop accessibility.
- Works with the same system and configuration on X11.
- Tested on ThinkPad P50 in both Discrete and Hybrid Graphics mode.

Comment 1 Carlos Soriano 2020-05-26 10:58:14 UTC
Might be a grab issue on gnome-shell/mutter

Comment 2 Florian Müllner 2020-05-26 12:39:15 UTC
I'm unable to reproduce this in an RHEL 8.2 VM, either in the Standard or the Classic(wayland) session.

Are there any additional steps required to reproduce the issue? Do you have some more extensions installed/enabled? Maybe there's some information in the journal that can point to the issue without reproducing it?

Comment 3 Bohdan Milar 2020-06-04 10:57:40 UTC
Today I did more testing. Some facts and ideas:

- Reproduced 100 % in an RHEL 8.2 VM on different notebook. So it is deffinitly NOT a P50 problem and it is not connected with a single installation.

- Tested in Gnome Classics session of a freshly created test user - clear configuration, no extra extensions enabled (well some are installed for the main user, but all from RHEL repo).

- None of the tested systems were freshly installed. Both were originally installed as RHEL 8.0 or 8.1 and later upgraded.

I would provide any log or debug info but I am not sure where to find such output of a Gnome session running on Wayland.

Comment 4 Bohdan Milar 2020-06-18 10:18:30 UTC
Created attachment 1697938 [details]
List of packages - RHEL 8.2 GA - not reproduced

I did a fresh installation of RHEL 8.2 on VM. I was unable to reproduce the bug. Sending list of installed packages.

Comment 5 Bohdan Milar 2020-06-18 10:24:11 UTC
Created attachment 1697939 [details]
List of packages - RHEL 8.3 (20200609.1) - reproduced

As soon as I upgraded the freshly installed RHEL 8.2 to the latest-RHEL-8 rel-eng compose (RHEL-8.3.0-20200609.1), I am able to reproduce the bug 100 %. Sending list of packages after upgrade.

Comment 6 Florian Müllner 2020-06-18 16:02:25 UTC
I changed the repository in my VM to point to http://download-node-02.eng.bos.redhat.com/composes/latest-RHEL-8.3.0/compose/AppStream/$basearch/os/, and I still cannot reproduce the issue.

The mutter, gnome-shell and -extensions packages are the same as in
(In reply to Bohdan Milar from comment #5)
> Created attachment 1697939 [details]
> List of packages - RHEL 8.3 (20200609.1) - reproduced



> I would provide any log or debug info but I am not sure where to find such output of a Gnome session running on Wayland.

Core GNOME components either log to the journal, or their output is forwarded to it. So journalctl may provide some hints.

Comment 8 Bohdan Milar 2020-06-30 19:12:08 UTC
I reproduced the behavior several times but do not see anything in journalctl regarding desktop.

Comment 9 Florian Müllner 2020-07-10 15:07:48 UTC
Maybe something is running that interferes with events? I'm thinking of tools like dogtail ...

Comment 10 Florian Müllner 2020-07-21 12:28:42 UTC
https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/1765#note_871437 suggests that this is related to the NUMLOCK state - is that the same issue?

Comment 11 Florian Müllner 2020-07-21 14:43:37 UTC
(In reply to Florian Müllner from comment #10)
> https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/1765#note_871437
> suggests that this is related to the NUMLOCK state - is that the same issue?

If that's the case, we have an upstream fix that can be backported.

Comment 15 Bohdan Milar 2020-08-05 12:04:45 UTC
Successfully tested:

- gnome-shell-3.32.2-19.el8.x86_64 - bug reproduced (menus not accessible via keys)
- gnome-shell-3.32.2-20.el8.x86_64 - bug not reproduced (menus accessible via keys)

Thanks for fix.

Comment 18 errata-xmlrpc 2020-11-04 01:35:45 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.